=== debian/changelog ===
gnudatalanguage (0.9.1-1build1) oneiric; urgency=low

  * Rebuild against libgrib-api-0d-1.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 25 Aug 2011 10:53:34 +0100

gnudatalanguage (0.9.1-1) unstable; urgency=low

  * New upstream release
    - debian/control, debian/rules: Transition from Python Numarray to Numpy
    - debian/patches/autoreconf-result: Refreshed by running autoreconf again
    - debian/patches/fix-muldefs: Refreshed
  * debian/patches/fix-muldefs: Added patch description 
  * debian/control, debian/rules: Do not build with grip support on the
    sparc, mips, hppa and hurd-i386 architectures. This should prevent
    uninstallable build dependencies on these architectures.

 -- Axel Beckert <abe@debian.org>  Thu, 31 Mar 2011 23:04:38 +0200

gnudatalanguage (0.9-2) unstable; urgency=low

  [ Axel Beckert ]
  * debian/patches/fix-muldefs: Patch configure.in to pass linker flags
    properly to compiler to fix FTBFS on some architectures. (Hopefully
    finally closes: #545849)

  [ Gürkan Sengün ]
  * Remove alternative dependency on libhdf4-dev and use libhdf4-alt-dev
    exclusively. Upstream now needs different configure options depending
    on the hd4 version used. (Actually already happened in the last upload.)

 -- Axel Beckert <abe@debian.org>  Wed, 09 Mar 2011 13:58:52 +0100

gnudatalanguage (0.9-1) unstable; urgency=low

  [ Gürkan Sengün ]
  * New upstream version. (Closes: #570204)
    - Fixes bug that routines in src/pro/ are not included by default.
      (LP: 288974)
    - Fixes FTBFS with gcc-4.5. (Closes: #564994)
  * Update b-d libreadline5-dev to libreadline-dev. (Closes: #553772)
  * Bump standards version to 3.9.1.
  * Switch to source format 3.0.
  * Add support for udunits, grib, wxwidgets.
  * Fix lintian warning about debhelper-but-no-misc-depends.
  * Updated long description.

  [ Axel Beckert ]
  * Add myself as uploader.
  * Acknowledge and merge NMU by Julien Cristau.
  * Reran autoreconf again, merged back the changes, upstream made to
    generated INSTALL file.
  * debian/rules: Also remove config.log in clean target
  * No more use the embedded copy of antlr but b-d on Debian's
    libantlr-dev. (Closes: #504857)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 15 Feb 2011 23:04:13 +0100

gnudatalanguage (0.9~rc3-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Run autoconf so the patch from bug#495470 is not just applied to
    configure.in, but also configure (closes: #545849).

 -- Julien Cristau <jcristau@debian.org>  Wed, 19 May 2010 23:35:41 +0200

gnudatalanguage (0.9~rc3-1) unstable; urgency=low

  * New upstream version. (Closes: #531719)
  * Disable the python modules since upstream doesn't support
    python-numpy yet. (Closes: #478446, #549811)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 28 Sep 2009 09:38:53 +0200

gnudatalanguage (0.9~rc2+20090903-1) unstable; urgency=low

  * New upstream version. (Closes: #500136)
  * Update build-depends. (Closes: #540401)
  * Bump debhelper version.
  * Bump standards version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 03 Sep 2009 09:30:08 +0200

gnudatalanguage (0.9~rc1-1.2) unstable; urgency=low

  * Non-maintainer upload to fix FTBFS and other bugs.
  * Applied patch provided by naoliv to make gnudatalanguage compile with
    the new imagemagick (Closes: #485894)
  * Applied patch provided by Martin Michlmayr to make gnudatalanguage
    compile with gcc 4.4 (Closes: #504861)
  * Applied improved watch file, thanks to Daniel Leidert for the file.
    (Closes: #480455)
  * Changed fftw3-dev to libfftw3-dev at Build-Depends, thanks to Marco
    Rodrigues for the report. (Closes: #488169)
  * Changed netcdfg-dev to libnetcdfg-dev at Build-Depends.

 -- Margarita Manterola <marga@debian.org>  Wed, 27 May 2009 00:14:58 +0000

gnudatalanguage (0.9~rc1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on arm, armel, mips, mipsel due to invalid LDFLAGS line.
    (Closes: #495470)

 -- Thiemo Seufer <ths@debian.org>  Tue, 19 Aug 2008 15:00:55 +0200

gnudatalanguage (0.9~rc1-1) unstable; urgency=low

  * New upstream version. (Closes: #470244)
  * Updated my email address.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Sun, 06 Apr 2008 14:22:21 +0200

gnudatalanguage (0.9~pre6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3: missing #includes, thanks to Maximiliano Curia for
  * the patch. (Closes: #456058)

 -- Christoph Berg <myon@debian.org>  Fri, 04 Apr 2008 18:34:32 +0200

gnudatalanguage (0.9~pre6-1) unstable; urgency=low

  * Initial release. (Closes: #304159)
    Thanks to Juan A. Añel, Sergio Gelato, and Christian
    T. Steigies for their previous work on this package.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 25 Oct 2007 13:59:49 +0200
