=== debian/control ===
Source: gnudatalanguage
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Uploaders: Juan A. Añel <aetherlux@gulo.org>, Axel Beckert <abe@debian.org>
Section: interpreters
Priority: optional
Build-Depends: debhelper (>= 7), autotools-dev, libfftw3-dev, libgsl0-dev, libhdf4-alt-dev, libhdf5-serial-dev, libmagick++-dev, libplplot-dev, libreadline-dev, zlib1g-dev, libnetcdf-dev, libudunits2-dev, libgrib-api-dev [!sparc !mips !hppa !hurd-i386], libwxgtk2.8-dev, libantlr-dev, python-all-dev, python-numpy
Standards-Version: 3.9.1
Homepage: http://gnudatalanguage.sourceforge.net/

Package: gnudatalanguage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: plplot9-driver-xwin, python-numpy
Description: Free IDL compatible incremental compiler
 A free IDL (Interactive Data Language) compatible incremental compiler.
 It has full syntax compatibility with IDL 7.1. IDL is a registered trademark
 of ITT Visual Information Solutions.
