## gnudatalanguage 0.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,20 @@
+#
+# copyright : (c) 2010 Maxime Lenoir and Alain Coulais
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; either version 2 of the License, or
+#  (at your option) any later version.
+#
+
 # tested with 2.4 and doesn't seem to run.
 cmake_minimum_required(VERSION 2.6 FATAL_ERROR)
 
 project(GDL)
 
-set(VERSION "0.9 CVS")
+# we hope a 0.9.2 very soon !
+# set(VERSION "0.9.2 CVS")
+set(VERSION "0.9.2")
 enable_testing()
 
 include(CheckIncludeFile)
@@ -37,6 +48,9 @@
 
 set(UDUNITS OFF CACHE BOOL "Enable UDUNITS-2 ?")
 set(UDUNITSDIR "" CACHE PATH "Specify the UDUNITS-2 directory tree")
+
+set(PSLIB ON CACHE BOOL "Enable pslib ?")
+set(PSLIBDIR "" CACHE PATH "Specify the pslib directory tree")
 
 set(GRIB OFF CACHE BOOL "Enable Grib ?")
 set(GRIBDIR "" CACHE PATH "Specifiy the GRIB directory tree")
@@ -115,6 +129,7 @@
 check_include_file(sys/stat.h HAVE_SYS_STAT_H)
 check_include_file(sys/types.h HAVE_SYS_TYPES_H)
 check_include_file(unistd.h HAVE_UNISTD_H)
+check_include_file(ext/stdio_filebuf.h HAVE_EXT_STDIO_FILEBUF_H)
 
 # dlfcn.h
 check_include_file(dlfcn.h HAVE_DLFCN_H)
@@ -127,6 +142,10 @@
 
 # mpi
 check_include_file(mpi.h HAVE_MPI_H)
+
+# SA: whithout it compilation of antlr fails if there's a conflicting 
+#     version of antlr in system-wide directories
+include_directories(src)
 
 # Ncurses MANDATORY
 # -DNCURSESDIR=DIR
@@ -306,7 +325,7 @@
 			message(FATAL_ERROR "NetCDF installation seems not to be usable.\n"
 			"This suggests a conflicting netCDF-HDF4 installation e.g.\n"
 			"- Uninstalling HDF4 after installation of NetCDF.\n"
-			"- Installing NetDCF before HDF4.")
+			"- Installing NetCDF before HDF4.")
 		endif(HAVE_NETCDFCPP_H)
 		set(CMAKE_REQUIRED_INCLUDES)
 	else(NETCDF_FOUND)
@@ -330,24 +349,3 @@
 			if(NOT SD_NCCREATE)
 				message(FATAL_ERROR "HDF4 needs to be configured with the --disable-netcdf option "
 				"in order to be used with the original netCDF library.")
-			endif(NOT SD_NCCREATE)
-			set(CMAKE_REQUIRED_LIBRARIES)
-		endif(NETCDF)
-		set(HDF_LIBRARIES ${HDF_LIBRARIES} ${HDF_EXTRA_LIBRARIES})
-		set(LIBRARIES ${LIBRARIES} ${HDF_LIBRARIES})
-		include_directories(${HDF_INCLUDE_DIR})
-	else(HDF_FOUND)
-		message(FATAL_ERROR "HDF4 libraries were not found.\n"
-		"Use -DHDFDIR=DIR to specify the HDF directory tree.\n"
-		"Use -DHDF=OFF to not use it. "
-		"You can use -DJPEGDIR=DIR to specify the JPEG directory tree. "
-		"You can also use -DSZIPDIR=DIR to specify SZip directory tree if "
-		"HDF was compiled with SZip support.")
-	endif(HDF_FOUND)
-endif(HDF)
-
-# hdf5
-# -DHDF5=ON|OFF
-# -DHDF5DIR=DIR
-if(HDF5)
-	set(CMAKE_PREFIX_PATH ${HDF5DIR} ${SZIPDIR})
