=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,9 +25,12 @@
 GDLTreeParser.hpp
 GDLTreeParserTokenTypes.hpp
 accessdesc.hpp
+allix.hpp
+allix.cpp
 arrayindex.cpp
 arrayindex.hpp
 arrayindexlistt.hpp
+arrayindexlistnoassoct.hpp
 assocdata.cpp
 assocdata.hpp
 basegdl.cpp
@@ -179,15 +182,33 @@
 ofmt.cpp
 ofmt.hpp
 plot3d_nr.cpp
+plotting_axis.cpp
+plotting_contour.cpp
+plotting_convert_coord.cpp
+plotting_cursor.cpp
+plotting_device.cpp
+plotting_erase.cpp
+plotting_map_proj.cpp
+plotting_misc.cpp
+plotting_oplot.cpp
+plotting_plot.cpp
+plotting_plots.cpp
+plotting_polyfill.cpp
+plotting_surface.cpp
+plotting_windows.cpp
+plotting_xyouts.cpp
 plotting.cpp
 plotting.hpp
 print.cpp
 print_tree.cpp
 print_tree.hpp
 prognode.cpp
+prognode_lexpr.cpp
 prognodeexpr.cpp
 read.cpp
 real2int.hpp
+semshm.cpp
+semshm.hpp
 sigfpehandler.cpp
 sigfpehandler.hpp
 specializations.hpp
@@ -205,7 +226,7 @@
 
 add_subdirectory(antlr)
 
-include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/src/antlr)
+include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/src/antlr ${CMAKE_BINARY_DIR})
 link_directories(${LINK_DIRECTORIES})
 
 if(PYTHON_MODULE) #libgdl
@@ -222,7 +243,8 @@
 add_definitions(-DHAVE_CONFIG_H)
 
 if(PYTHON_MODULE)
-	install(TARGETS gdl DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
+#	TODO: this library should go to Python library path (site-packages?)
+#	install(TARGETS gdl DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
 else(PYTHON_MODULE)
 	install(TARGETS gdl DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
 	set_target_properties(gdl PROPERTIES INSTALL_RPATH_USE_LINK_PATH TRUE)
