=== debian/changelog ===
gnudatalanguage (0.9.2-4) unstable; urgency=low

  * Update architecture list for grib-api build-dependency. Use a positive
    list, so we use the same list as grib-api itself and rather miss new
    architectures than become unbuildable on new architectures.

 -- Axel Beckert <abe@debian.org>  Sat, 30 Jun 2012 12:35:34 +0200

gnudatalanguage (0.9.2-3) unstable; urgency=low

  * Import patch from upstream to remove plot3d_nr.cpp. Fixes FTBFS when
    building against newer plplot packages. (Closes: #660260, #669123,
    #669497) Thanks Sylwester Arabas!
  * Create patch to disable the WIDTH keyword and charheight based
    positional fine-tuning in the XYOUTS procedure as advised by
    upstream. (FTBFS otherwise, too)
  * Enable hardening build flags
    + Add build dependency on dpkg-dev (>= 1.16.1~)
  * Just use dh_autoreconf*, not both, dh_autoreconf* and
    dh_autotools-dev_*config as advised by dh_autoreconf docs.
  * Use dh_auto_clean instead of $(MAKE) distclean
  * Do not only remove embedded antlr copy before building, but also
    restore it again in the clean target.
  * Ignore any changes to Makefile.in files in the diff.
  * Don't require a present configure for config.status target. Fixes
    building twice in a row.
  * Update Recommends: plplot9-driver-xwin → plplot11-driver-xwin
  * Let dh_clean remove stamp files
  * Bump Standards-Version to 3.9.3 (no changes)
  * Remove Juan A. Añel from Uploaders (no activity since 2007)
  * Exchange Maintainer and Uploader.
  * Add lintian override for "configure-generated-file-in-source
    config.log" as it's removed in the clean target.
  * Add Vcs-* headers
  * Add patch to fix several man-page issues found by lintian.

 -- Axel Beckert <abe@debian.org>  Fri, 29 Jun 2012 17:52:27 +0200

gnudatalanguage (0.9.2-2) unstable; urgency=low

  * Changed the "libhdf5-serial-dev" build-dependency to "libhdf5-dev |
    libhdf5-serial-dev" for the HDF5 1.8.6 to 1.8.8 transition. (See
    http://bugs.debian.org/631019)
  * Changed priority from optional to extra to match override.
  * Fixed the following lintian warnings:
    - debian-rules-missing-recommended-target
    - copyright-refers-to-symlink-license

 -- Axel Beckert <abe@debian.org>  Wed, 18 Jan 2012 20:12:20 +0100

gnudatalanguage (0.9.2-1) unstable; urgency=low

  * New upstream release (Closes: #648476)
    - Fixes FTBFS. (Closes: #647802) Thanks to Daniel T Chen for
      investigation!
    - Add B-D on pslib-dev and add --with-pslib to configure call.
    - No more remove /usr/lib/libantlr.a from the package, it's no more
      built anymore.
    - Refresh patch fix-muldefs
    - Refresh patch build-with-debian-antlr-instead-embedded-one; remove
      parts applied upstream.
  * Install upstream man page, drop outdated debian/gdl.1. Thanks
    Sylwester Arabas! (Closes: #630481)
  * Use dh_autotools-dev_*config instead of manually copying
    config.{sub,guess}
  * Use dh_autoreconf instead of patching configure et al manually.
    - No more patch configure script, just configure.in in remaining
      patches.
  * Bump Standards-Version to 3.9.2 (no changes necessary)

 -- Axel Beckert <abe@debian.org>  Tue, 15 Nov 2011 23:18:56 +0100
