=== debian/control ===
Source: gnudatalanguage
Maintainer: Axel Beckert <abe@debian.org>
Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>
Section: interpreters
Priority: extra
Build-Depends: debhelper (>= 7), autotools-dev, libfftw3-dev, libgsl0-dev, libhdf4-alt-dev, libhdf5-dev | libhdf5-serial-dev, libmagick++-dev, libplplot-dev, libreadline-dev, zlib1g-dev, libnetcdf-dev, libudunits2-dev, libgrib-api-dev [i386 amd64 ia64 powerpc s390 alpha armel mipsel kfreebsd-amd64 kfreebsd-i386 armhf], libwxgtk2.8-dev, libantlr-dev, python-all-dev, python-numpy, pslib-dev, dh-autoreconf, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.3
Homepage: http://gnudatalanguage.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/gnudatalanguage.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gnudatalanguage.git

Package: gnudatalanguage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: plplot11-driver-xwin, python-numpy
Description: Free IDL compatible incremental compiler
 A free IDL (Interactive Data Language) compatible incremental compiler.
 It has full syntax compatibility with IDL 7.1. IDL is a registered trademark
 of ITT Visual Information Solutions.
