=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifeq ($(DEB_BUILD_ARCH),$(filter i386 amd64 ia64 powerpc s390 alpha armel mipsel kfreebsd-amd64 kfreebsd-i386 armhf,$(DEB_BUILD_ARCH)))
	GRIP = --with-grib
else
	GRIP = --without-grib
endif

config.status:
	dh_testdir
	tar cf antlr.tar src/antlr
	# Add here commands to configure the package.
	dh_autoreconf
	# Patched source FTBFS if this embedded code copy is present
	rm -rf src/antlr
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" --with-fftw=yes --with-python=yes --with-wxWidgets $(GRIP) --with-udunits --with-pslib

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	if [ -f  antlr.tar ]; then tar xf antlr.tar; fi
	rm -f antlr.tar
	dh_auto_clean
	dh_autoreconf_clean
	dh_clean --exclude ./src/ncdf_att_cl.cpp.orig --exclude ./src/basic_pro.cpp.orig --exclude ./src/basic_pro.hpp.orig --exclude ./src/libinit.cpp.orig --exclude ./src/ncdf_var_cl.cpp.orig --exclude configure~

install: build
	dh_testdir
	dh_testroot
	dh_prep --exclude ./src/ncdf_att_cl.cpp.orig --exclude ./src/basic_pro.cpp.orig --exclude ./src/basic_pro.hpp.orig --exclude ./src/libinit.cpp.orig --exclude ./src/ncdf_var_cl.cpp.orig --exclude configure~
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/gnudatalanguage install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman doc/gdl.1
	dh_link
	dh_strip
	dh_compress -X.pro
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
